diff --git a/graphics/party_menu/slot_main.bin b/graphics/party_menu/slot_main.bin
new file mode 100755
index 000000000..2f3e729f6
--- /dev/null
+++ b/graphics/party_menu/slot_main.bin
@@ -0,0 +1 @@
+ !!!!!!!!" !!!!!!!!" !!!!!!!!"(;<::::::=.////////0
\ No newline at end of file
diff --git a/graphics/party_menu/slot_main_no_hp.bin b/graphics/party_menu/slot_main_no_hp.bin
new file mode 100755
index 000000000..653ad1a64
--- /dev/null
+++ b/graphics/party_menu/slot_main_no_hp.bin
@@ -0,0 +1 @@
+ !!!!!!!!" !!!!!!!!" !!!!!!!!"())))))))*.////////0
\ No newline at end of file
diff --git a/graphics/party_menu/slot_wide.bin b/graphics/party_menu/slot_wide.bin
new file mode 100755
index 000000000..c88b73bf7
--- /dev/null
+++ b/graphics/party_menu/slot_wide.bin
@@ -0,0 +1 @@
++,,,,,,,,,,,,,,,,-1!!!!!!!!453333336788888888888888889
\ No newline at end of file
diff --git a/graphics/party_menu/slot_wide_empty.bin b/graphics/party_menu/slot_wide_empty.bin
new file mode 100755
index 000000000..3592178b3
Binary files /dev/null and b/graphics/party_menu/slot_wide_empty.bin differ
diff --git a/graphics/party_menu/slot_wide_no_hp.bin b/graphics/party_menu/slot_wide_no_hp.bin
new file mode 100755
index 000000000..8f662da0a
--- /dev/null
+++ b/graphics/party_menu/slot_wide_no_hp.bin
@@ -0,0 +1 @@
++,,,,,,,,,,,,,,,,-1!!!!!!!!!!!!!!!!2788888888888888889
\ No newline at end of file
diff --git a/src/data/party_menu.h b/src/data/party_menu.h
index 7624c6596..6b4ebc1f7 100644
--- a/src/data/party_menu.h
+++ b/src/data/party_menu.h
@@ -549,48 +549,14 @@ static const struct WindowTemplate sFieldMoveDescriptionWindowTemplate =
     .baseBlock = 0x373,
 };
 
-static const u8 sMainSlotTileNums[] =
-{
-    24, 25, 25, 25, 25, 25, 25, 25, 25, 26,
-    32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-    32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-    32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-    40, 59, 60, 58, 58, 58, 58, 58, 58, 61,
-    15, 16, 16, 16, 16, 16, 16, 16, 16, 17,
-    46, 47, 47, 47, 47, 47, 47, 47, 47, 48,
-};
-
-static const u8 sMainSlotTileNums_Egg[] =
-{
-    24, 25, 25, 25, 25, 25, 25, 25, 25, 26,
-    32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-    32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-    32, 33, 33, 33, 33, 33, 33, 33, 33, 34,
-    40, 41, 41, 41, 41, 41, 41, 41, 41, 42,
-    15, 16, 16, 16, 16, 16, 16, 16, 16, 17,
-    46, 47, 47, 47, 47, 47, 47, 47, 47, 48,
-};
-
-static const u8 sOtherSlotsTileNums[] =
-{
-    43, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 45,
-    49, 33, 33, 33, 33, 33, 33, 33, 33, 52, 53, 51, 51, 51, 51, 51, 51, 54,
-    55, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 57,
-};
-
-static const u8 sOtherSlotsTileNums_Egg[] =
-{
-    43, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 44, 45,
-    49, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 33, 50,
-    55, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 56, 57,
-};
-
-static const u8 sEmptySlotTileNums[] = 
-{
-    21, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 22, 23,
-    30,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0,  0, 31,
-    37, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 38, 39,
-};
+// Plain tilemaps for party menu slots.
+// The versions with no HP bar are used by eggs, and in certain displays like registering at a battle facility.
+// There is no empty version of the main slot because it shouldn't ever be empty.
+static const u8 sSlotTilemap_Main[]      = INCBIN_U8("graphics/party_menu/slot_main.bin");
+static const u8 sSlotTilemap_MainNoHP[]  = INCBIN_U8("graphics/party_menu/slot_main_no_hp.bin");
+static const u8 sSlotTilemap_Wide[]      = INCBIN_U8("graphics/party_menu/slot_wide.bin");
+static const u8 sSlotTilemap_WideNoHP[]  = INCBIN_U8("graphics/party_menu/slot_wide_no_hp.bin");
+static const u8 sSlotTilemap_WideEmpty[] = INCBIN_U8("graphics/party_menu/slot_wide_empty.bin");
 
 static const u8 sGenderPalOffsets[] = {11, 12};
 
diff --git a/src/party_menu.c b/src/party_menu.c
index f87119218..f192cd2e5 100644
--- a/src/party_menu.c
+++ b/src/party_menu.c
@@ -110,7 +110,7 @@ enum
 
 struct PartyMenuBoxInfoRects
 {
-    void (*blitFunc)(u8 windowId, u8 x, u8 y, u8 width, u8 height, bool8 isEgg);
+    void (*blitFunc)(u8 windowId, u8 x, u8 y, u8 width, u8 height, bool8 hideHP);
     u8 dimensions[24];
     u8 descTextLeft;
     u8 descTextTop;
@@ -145,8 +145,8 @@ struct PartyMenuBox
     u8 statusSpriteId;
 };
 
-static void BlitBitmapToPartyWindow_LeftColumn(u8 windowId, u8 x, u8 y, u8 width, u8 height, bool8 isEgg);
-static void BlitBitmapToPartyWindow_RightColumn(u8 windowId, u8 x, u8 y, u8 width, u8 height, bool8 isEgg);
+static void BlitBitmapToPartyWindow_LeftColumn(u8 windowId, u8 x, u8 y, u8 width, u8 height, bool8 hideHP);
+static void BlitBitmapToPartyWindow_RightColumn(u8 windowId, u8 x, u8 y, u8 width, u8 height, bool8 hideHP);
 static void CursorCB_Summary(u8 taskId);
 static void CursorCB_Switch(u8 taskId);
 static void CursorCB_Cancel1(u8 taskId);
@@ -2184,35 +2184,35 @@ static void BlitBitmapToPartyWindow(u8 windowId, const u8 *tileNums, u8 menuBoxW
     }
 }
 
-static void BlitBitmapToPartyWindow_LeftColumn(u8 windowId, u8 x, u8 y, u8 width, u8 height, u8 isEgg)
+static void BlitBitmapToPartyWindow_LeftColumn(u8 windowId, u8 x, u8 y, u8 width, u8 height, bool8 hideHP)
 {
     if (width == 0 && height == 0)
     {
         width = 10;
         height = 7;
     }
-    if (!isEgg)
-        BlitBitmapToPartyWindow(windowId, sMainSlotTileNums, 10, x, y, width, height);
+    if (!hideHP)
+        BlitBitmapToPartyWindow(windowId, sSlotTilemap_Main, 10, x, y, width, height);
     else
-        BlitBitmapToPartyWindow(windowId, sMainSlotTileNums_Egg, 10, x, y, width, height);
+        BlitBitmapToPartyWindow(windowId, sSlotTilemap_MainNoHP, 10, x, y, width, height);
 }
 
-static void BlitBitmapToPartyWindow_RightColumn(u8 windowId, u8 x, u8 y, u8 width, u8 height, u8 isEgg)
+static void BlitBitmapToPartyWindow_RightColumn(u8 windowId, u8 x, u8 y, u8 width, u8 height, bool8 hideHP)
 {
     if (width == 0 && height == 0)
     {
         width = 18;
         height = 3;
     }
-    if (!isEgg)
-        BlitBitmapToPartyWindow(windowId, sOtherSlotsTileNums, 18, x, y, width, height);
+    if (!hideHP)
+        BlitBitmapToPartyWindow(windowId, sSlotTilemap_Wide, 18, x, y, width, height);
     else
-        BlitBitmapToPartyWindow(windowId, sOtherSlotsTileNums_Egg, 18, x, y, width, height);
+        BlitBitmapToPartyWindow(windowId, sSlotTilemap_WideNoHP, 18, x, y, width, height);
 }
 
 static void DrawEmptySlot(u8 windowId)
 {
-    BlitBitmapToPartyWindow(windowId, sEmptySlotTileNums, 18, 0, 0, 18, 3);
+    BlitBitmapToPartyWindow(windowId, sSlotTilemap_WideEmpty, 18, 0, 0, 18, 3);
 }
 
 #define LOAD_PARTY_BOX_PAL(paletteIds, paletteOffsets)                                    \
